Public Member Functions | Public Attributes | List of all members
libetonyek::IWORKDiscardContext::Data Struct Reference

## Public Member Functions
| Data ()

## Public Attributes
IWORKDataPtr_t | m_data
IWORKMediaContentPtr_t | m_mediaContent
IWORKTabStops_t | m_tabStops
bool | m_isShadow
IWORKPathPtr_t | m_path
IWORKPropertyMap | m_propertyMap
boost::optional< IWORKColor > | m_fillColor
boost::optional< IWORKListLabelGeometry > | m_listLabelGeometry
boost::optional< IWORKListLabelTypeInfo_t > | m_listLabelTypeInfo

## Constructor & Destructor Documentation

## ◆ Data()

libetonyek::IWORKDiscardContext::Data::Data | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_data

IWORKDataPtr_t libetonyek::IWORKDiscardContext::Data::m_data

## ◆ m_fillColor

boost::optional<IWORKColor> libetonyek::IWORKDiscardContext::Data::m_fillColor

## ◆ m_isShadow

bool libetonyek::IWORKDiscardContext::Data::m_isShadow

## ◆ m_listLabelGeometry

boost::optional<IWORKListLabelGeometry> libetonyek::IWORKDiscardContext::Data::m_listLabelGeometry

## ◆ m_listLabelTypeInfo

boost::optional<IWORKListLabelTypeInfo_t> libetonyek::IWORKDiscardContext::Data::m_listLabelTypeInfo

## ◆ m_mediaContent

IWORKMediaContentPtr_t libetonyek::IWORKDiscardContext::Data::m_mediaContent

## ◆ m_path

IWORKPathPtr_t libetonyek::IWORKDiscardContext::Data::m_path

## ◆ m_propertyMap

IWORKPropertyMap libetonyek::IWORKDiscardContext::Data::m_propertyMap

## ◆ m_tabStops

IWORKTabStops_t libetonyek::IWORKDiscardContext::Data::m_tabStops

The documentation for this struct was generated from the following file:

- IWORKDiscardContext.cpp